/* This file is part of the Imote2 Codeloader.
 *
 * The Imote2 Codeloader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Imote2 Codeloader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Imote2 Codeloader. If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * ImoteInterface.java
 *
 * @author Markus Engel
 * Copyright (c) 2009,2010 Networked Systems Group, University of Kaiserslautern
 */
package imote.service;

import imote.communication.ImoteException;
import ch.ntb.usb.USBException;
import imote.ImoteSerial;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Imote Interface (mainly because of remote stuff)
 */
public interface ImoteInterface extends Remote {
	void address(long address, long length) throws ImoteException, USBException,
		RemoteException;

	void close() throws RemoteException;

	void erase() throws ImoteException, USBException, RemoteException;

	short getBcdDeviceVersion() throws RemoteException;

	String getDeviceVersion() throws RemoteException;

	ImoteSerial getSerial() throws RemoteException;

	void reboot() throws ImoteException, USBException, RemoteException;

	void reset() throws ImoteException, USBException, RemoteException;

	int upload(byte[] data, int offset, int length, boolean compressed)
		throws ImoteException, USBException, RemoteException;

	int uploadFinish() throws ImoteException, USBException, RemoteException;

	public int executeRam() throws ImoteException, USBException, RemoteException;
}
