/* This file is part of the Imote2 Codeloader.
 *
 * The Imote2 Codeloader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Imote2 Codeloader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Imote2 Codeloader. If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * ServiceInterface.java
 *
 * @author m_engel
 * Copyright (c) 2009,2010 Networked Systems Group, University of Kaiserslautern
 */
package imote.service;

import ch.ntb.usb.USBException;
import imote.ImoteDescription;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

/* Service Interface */
public interface ServiceInterface extends Remote {
	ImoteInterface getImote(int vendorId, int productId,
		String serialNumber, Long nodeId) throws RemoteException, USBException;

	void closeImote() throws RemoteException;

	List<ImoteDescription> getConnectedImotes(int vendorId, int productId)
		throws RemoteException, USBException;
}
